CREATE procedure [wh].[p_PL_D_S178IndicatoriEsitoAdeguatezza] (@Rete char(1), @CodiceFiscale varchar(16)) as
select * into #appo from [wh].[PL_D_S178IndicatoriEsitoAdeguatezza] where i_rete = @rete and i_codiceFiscale = @codiceFiscale
	select
		1 as Ordine,
		'Rischio Mercato' as Indicatore,
		RM_Adeguatezza as Adeguato,
		RM_Descrizione as DescrizioneEsito
	from #appo
	union
	select
		2 as Ordine,
		'Rischio Credito' as Indicatore,
		RC_Adeguatezza as Adeguato,
		RC_Descrizione as DescrizioneEsito
	from #appo
	union
	select
		3 as Ordine,
		'Concentrazione emittenti' as Indicatore,
		CE_Adeguatezza as Adeguato,
		CE_Descrizione as DescrizioneEsito
	from #appo
	union
	select
		4 as Ordine,
		'Complessità' as Indicatore,
		CM_Adeguatezza as Adeguato,
		CM_Descrizione as DescrizioneEsito
	from #appo
	where CM_Adeguatezza <> 'prof'
	union
	select
		5 as Ordine,
		'Concentrazione in prodotti complessi' as Indicatore,
		CC_Adeguatezza as Adeguato,
		CC_Descrizione as DescrizioneEsito
	from #appo
	where CC_Adeguatezza <> 'prof'
	union
	select
		6 as Ordine,
		'Frequenza delle operazioni' as Indicatore,
		FQ_Adeguatezza as Adeguato,
		FQ_Descrizione as DescrizioneEsito
	from #appo
	where FQ_Adeguatezza <> 'prof'
	union
	select
		7 as Ordine,
		'Liquidità/Liquidabilità (Orizzonte temporali degli investimenti)' as Indicatore,
		LQ_Adeguatezza as Adeguato,
		LQ_Descrizione as DescrizioneEsito
	from #appo